opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
opensaml::saml2::BrowserSSOProfileValidator Class Reference

`#include <saml/saml2/profile/BrowserSSOProfileValidator.h>`

Inheritance diagram for opensaml::saml2::BrowserSSOProfileValidator:

## Public Member Functions
| BrowserSSOProfileValidator (const XMLCh *recipient, const std::vector< const XMLCh * > *audiences=nullptr, time_t ts=0, const char *destination=nullptr, const char *requestID=nullptr)
| Constructor. More...
void | validateAssertion (const Assertion &assertion) const
| Type-safe validation method. More...
const char * | getAddress () const
| Return address information from the confirmed bearer SubjectConfirmation, if any. More...
Public Member Functions inherited from opensaml::saml2::AssertionValidator
| AssertionValidator (const XMLCh *recipient, const std::vector< const XMLCh * > *audiences=nullptr, time_t ts=0)
| Constructor. More...
void | validate (const xmltooling::XMLObject *xmlObject) const
virtual void | validateCondition (const Condition *condition) const
| Condition validation. More...

## Protected Attributes
xmltooling::auto_ptr_XMLCh | m_destination
| Server location to which assertion was delivered. More...
xmltooling::auto_ptr_XMLCh | m_requestID
| ID of request that resulted in assertions. More...
Protected Attributes inherited from opensaml::saml2::AssertionValidator
const XMLCh * | m_recipient
| Name of recipient (implicit audience). More...
const std::vector< const XMLCh * > * | m_audiences
| Additional audience values. More...
time_t | m_ts
| Timestamp to evaluate assertion conditions. More...

## Detailed Description

Deprecated:
  SAML 2.0 Browser SSO Profile Assertion Validator

In addition to standard core requirements for validity, SSO assertions MUST be bearer-confirmable.

## Constructor & Destructor Documentation

opensaml::saml2::BrowserSSOProfileValidator::BrowserSSOProfileValidator | ( | const XMLCh * | recipient,
|  | const std::vector< const XMLCh * > * | audiences = `nullptr`,
|  | time_t | ts = `0`,
|  | const char * | destination = `nullptr`,
|  | const char * | requestID = `nullptr`
| ) |  |

Constructor.

Parameters

  recipient | name of assertion recipient (implicit audience)
  audiences | additional audience values
  ts | timestamp to evaluate assertion conditions, or 0 to bypass check
  destination | server location to which assertion was delivered, or 0 to bypass check
  requestID | ID of request that resulted in assertion, or nullptr if unsolicited

## Member Function Documentation

const char* opensaml::saml2::BrowserSSOProfileValidator::getAddress | ( |  | ) | const

Return address information from the confirmed bearer SubjectConfirmation, if any.

Returns
  address information

void opensaml::saml2::BrowserSSOProfileValidator::validateAssertion | ( | const Assertion & | assertion | ) | const
| virtual

Type-safe validation method.

Parameters

  assertion | assertion to validate

Reimplemented from opensaml::saml2::AssertionValidator.

## Member Data Documentation

xmltooling::auto_ptr_XMLCh opensaml::saml2::BrowserSSOProfileValidator::m_destination
| protected

Server location to which assertion was delivered.

xmltooling::auto_ptr_XMLCh opensaml::saml2::BrowserSSOProfileValidator::m_requestID
| protected

ID of request that resulted in assertions.

The documentation for this class was generated from the following file:

- saml/saml2/profile/BrowserSSOProfileValidator.h